Bug 202176 - esc status icon uses way too much memory
esc status icon uses way too much memory
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: esc (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jack Magne
:
Depends On:
Blocks: 181509
  Show dependency treegraph
 
Reported: 2006-08-11 08:15 EDT by Alexander Larsson
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-13 08:14:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Larsson 2006-08-11 08:15:36 EDT
The esc stuff is pretty cool, but it uses way too much memory. Especially for
something that is used by so few (atm at least).

Straight after login it uses 21 meg rss:
14790 gnome     15   0 84228  21m  16m S  0.0  4.2   0:01.18 xulrunner-bin     
                                       

If you bring up the manage keys dialog once you get:
14790 gnome     15   0  104m  24m  17m S  0.0  4.8   0:02.03 xulrunner-bin     
                                       

This ranks as nr one in top when sorted by memory use. I don't think we can have
something like this in the default install.
Comment 1 Bob Relyea 2006-08-11 20:04:08 EDT
setting the blocker status so this doesn't get lost
Comment 2 Jack Magne 2006-08-23 16:11:35 EDT
Currently working on a daemon that will respond to key insertion events and
launch ESC itself if appropriate. 
Comment 3 Jack Magne 2006-09-12 12:22:26 EDT
Work continues on this problem. The daemon is coming along fine. The rest of the
work will take place in the ESC script wrapper file. This script needs to be
able to either launch ESC or the daemon based on different situations such as:

1. The system being restarted: This should result in the daemon being started.

2. The deamon is running and a card is inserted: The daemon needs to start ESC
itself.

3. Situations when the user manually selects ESC from the System Menu: The
result should be, regardless of what is going on, the ESC "Manage Smart Cards"
window should pop up.
Comment 5 Orla Hegarty 2006-09-14 18:26:23 EDT
All of these bugs are being marked as targeted to be fixed in beta 2. However
only a subset of these bugs will be actual beta blockers. I am marking all of
these bugs a beta 2 target milestones.

Beta Blockers reflect bugs that are critical to this beta 2 release. Flags will
be set as appropriate on a case by case basis for each critical beta blocker. 
Comment 6 Jack Magne 2006-09-20 15:26:25 EDT
Have created a local build of an ESC RPM addressing this issue. Early results
look good. The solution consists of adding a daemon process that watches for
smart card events. Also smarts have been added to the ESC start script to
account for these changes. Currently doing local testing before checking in of
the feature.
Comment 7 Jack Magne 2006-09-22 01:07:10 EDT
Internal testing has shown that the ESC daemon is not being killed when the user
exits their gnome session or logs out. Currently looking into how a process is
supposed to be notified when a user logs out of the GDM. Many other processes
seem to be already getting the word just fine. The escd process to this point
continues to run on logout, thus leaving us with a copy running for every user
to have logged onto the machine.
Comment 8 Alexander Larsson 2006-09-22 05:31:28 EDT
The general way this works is that the processes have a connection to the X
server, and when that pipe gets broken they exit (xlib handles the exit).
Comment 9 Jack Magne 2006-09-24 12:45:39 EDT
Issue addressed in Rawhide build esc-1.0.0-15. The method suggested above was
used to solve the user logout issue.
Comment 13 Jay Turner 2006-11-13 08:14:40 EST
Closing out as resolved with the 20061111.0 trees.

Note You need to log in before you can comment on or make changes to this bug.